Subject: [Sigtran] Re: Understanding M3UA

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Thu, 31 Jan 2002 01:45:55 -0600

Jasdeep,

An ASP can be active with an SGP for any number of AS.  An ASP becomes
active with an SGP for an AS by successfully completing the ASP Active
Procedures with an SGP for a given AS.  The RC in the ASPAC message
sent by an ASP to an SGP identifies the AS for which the ASP is becoming
active.

At any given point in time, for a given association (ASP-SGP relation),
an AS may be in any of the AS states provided in the AS state diagram
in the draft.

This means that the ASP might, for example, maintain the state of each
AS for each association (ASP-SGP relation) in which it is engaged.

ASP Identifiers are only used between ASP and SGP when the association
is formed and as part of the ASP Up Procedures to identify to the SGP
which ASP is connecting to the SGP (when required: that is, when the
SGP cannot otherwise identify the ASP connecting).  The ASP Identifier
is also used in the Notify("ASP Failure") messages so that other ASPs
receiving the message will know which ASP failed.

Does that help?

--brian

Jasdeep wrote:                                     (Thu, 31 Jan 2002 12:53:59)
> 
>    Hi
>    
>        I am implemeting M3UA layer and trying to understand the concept
>    of ASP and AS. Is it possible to have two different AS, having ASP
>    with same identifier. When i say make ASP inactive, it will ASP
>    inactive in both AS (provided message has no routing key). Is i am
>    right in understanding that different AS can share same ASP means SAME
>    ASP Identifier. Or it is Mandatory to have Different ASP identifiers
>    in different ASP.
>    
>    Please clarify.
>    
>    Thanks in advance
>    
>    Jasdeep S Randhawa
>    
>    Sr. Engineer, Telecom
>    
>    TeleSoft Pvt Ltd,Bangalore
>    
>    (T: +080 5521937  ext-412
>    ÊF: +080 5521164
>    
>    (M: +9844131109
>    E: [1][email-masked]
>    
>    
>    
>    ---
>    You are currently subscribed to sigtran as: [email-masked]
>    To unsubscribe send a blank email to
>    [email-masked]
> 
> References
> 
>    1. mailto:[email-masked]

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran